People
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all people
Returns a list of people
Returns a list of people
Query Parameters
page?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0ids?array<>
Filter by person IDs. e.g., ids[]=1&ids[]=2
person_numbers?array<string>
Filter by person numbers. e.g., person_numbers[]=P001&person_numbers[]=P002
manager_id?integer
Filter by manager ID
Format
int32legal_entity_id?integer
Filter by legal entity ID
Format
int32status?string
Filter by status. Allowed values: active, employed, terminated, hired, probation, all. Default: all
Default
"all"Value in
- "active"
- "employed"
- "terminated"
- "hired"
- "probation"
- "all"
hired_on[gte]?string
Filter by hire date on or after (YYYY-MM-DD)
Format
datehired_on[lte]?string
Filter by hire date on or before (YYYY-MM-DD)
Format
datecreated_at[gte]?string
Filter by creation date on or after (YYYY-MM-DD)
Format
date-timecreated_at[lte]?string
Filter by creation date on or before (YYYY-MM-DD)
Format
date-timeResponse Body
application/json
curl -X GET "https://example.com/api/v4/people"{ "data": [ { "id": 0, "status": "string", "access": "string", "employee_number": "string", "full_name": "string", "first_name": "string", "middle_name": "string", "last_name": "string", "avatar_url": "string", "email": "string", "personal_email": "string", "work_phone_number": "string", "mobile_number": "string", "date_of_birth": "2019-08-24", "probation_ends_on": "2019-08-24", "hired_on": "2019-08-24", "gender": { "id": 0, "name": "string" }, "position": { "id": 0, "name": "string" }, "job_level": { "id": 0, "name": "string" }, "location": { "id": 0, "name": "string" }, "employment_type": { "id": 0, "name": "string" }, "division": { "id": 0, "name": "string" }, "department": { "id": 0, "name": "string" }, "reporting_to": { "id": 0, "first_name": "string", "last_name": "string", "email": "string", "type": "string" }, "job_profile": { "id": 0, "name": "string" }, "legal_entity": { "id": 0, "name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "termination_effective_on": "string", "termination_comment": "string", "termination_eligible_for_rehire": "string", "termination_type": { "id": 0, "name": "string" }, "termination_reason": { "id": 0, "name": "string" } } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}